package com.yizhi.message.application.feign.remote;


import com.yizhi.message.application.vo.MessageRemindVo;
import com.yizhi.util.application.domain.Response;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */

@FeignClient(name = "newMessage", contextId = "RemoteMessageRemindClient")
public interface RemoteMessageRemindClient {

    @PostMapping("/remote/messageRemind/insert")
    @ApiOperation(value = "保存待发消息(提醒)",response = String.class)
    public Response insert(@ApiParam("messageRemindVo") @RequestBody MessageRemindVo messageRemindVo);

    @GetMapping("/remote/messageRemind/get")
    @ApiOperation(value = "回显各业务的消息提醒",response = MessageRemindVo.class)
    public Response get(@ApiParam("relationType")@RequestParam("relationType") Integer relationType,
                        @ApiParam("relationId")@RequestParam("relationId") Long relationId,
                        @ApiParam("siteId")@RequestParam("siteId") Long siteId);

}