package com.yizhi.message.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */
@Data
@Api(tags = "MessageAccountVo", description = "学员收到消息记录表")
@TableName("message_account")
public class MessageAccount extends Model<MessageAccount> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id  学员收到消息记录表")
    @TableId("id")
    private Long id;

    @ApiModelProperty(value = "消息id")
    @TableField("message_id")
    private Long messageId;

    @ApiModelProperty(value = "待发消息id")
    @TableField("message_remind_id")
    private Long messageRemindId;

    @ApiModelProperty(value = "账号id")
    @TableField("account_id")
    private Long accountId;

    @ApiModelProperty(value = "消息内容")
    @TableField("context")
    private String context;

    @ApiModelProperty(value = "关联模块类型(、1：学习计划、2：考试、3：调研、4、投票5：报名、6：作业、7：签到、8：项目、9：直播、10：积分)")
    @TableField("relation_type")
    private Integer relationType;

    @ApiModelProperty(value = "关联的业务id: 比如调研id")
    @TableField("relation_id")
    private Long relationId;

    @ApiModelProperty(value = "指定范围指定范围(0:全平台,1:指定用户)")
    @TableField("visible_range")
    private Integer visibleRange;

    @ApiModelProperty(value = "是否已读(0:否,1:是)")
    @TableField("readed")
    private Integer readed;

    @ApiModelProperty(value = "读取时间")
    @TableField("read_time")
    private Date readTime;

    @ApiModelProperty(value = "是否删除")
    @TableField("deleted")
    private Integer deleted;

    @ApiModelProperty(value = "消息标题")
    @TableField(exist = false)
    private String title;

    @ApiModelProperty(value = "站点id")
    @TableField("site_id")
    private Long siteId;

    @ApiModelProperty(value = "公司id")
    @TableField("company_id")
    private Long companyId;

    @ApiModelProperty(value = "创建人id")
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @ApiModelProperty(value = "创建人账号")
    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "修改人id")
    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;

    @ApiModelProperty(value = "修改人账号")
    @TableField(value = "update_by_name", fill = FieldFill.INSERT)
    private String updateByName;

    @ApiModelProperty(value = "修改时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
